terraform {
  required_providers {
    aws = {
      source = "hashicorp/aws"
      version = "~> 5.0"
    }
  }
}

provider "aws" {
  region = "eu-west-1"
}

resource "aws_instance" "test-instance" {
  ami = "0c4dcaafb6a14dbb93b402f1fd6a9dfb"
  instance_type = "micro"
  availability_zone = "az-1"

  tags = {
    TestTag = "TestValue"
  }
}
